Skip to main content
PATCH
/
v1
/
entity_types
/
{entityTypeIdOrName}
/
properties
/
{propertyName}
Update Property on Entity Type
curl --request PATCH \
  --url https://api.us.lexful.app/v1/entity_types/{entityTypeIdOrName}/properties/{propertyName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "required": true,
  "display_name": "<string>",
  "enum": [
    "<string>"
  ]
}
'
{
  "name": "<string>",
  "type": "string",
  "display_name": "<string>",
  "required": true,
  "description": "<string>",
  "enum": [
    "<string>"
  ],
  "array": {
    "type": "string",
    "properties": [
      {
        "name": "<string>",
        "type": "string",
        "required": true,
        "description": "<string>",
        "enum": [
          "<string>"
        ]
      }
    ]
  },
  "file_rules": {
    "max_size": 123,
    "allowed_extensions": [
      "<string>"
    ],
    "allowed_mime_types": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

entityTypeIdOrName
string
required

Entity type ID (UUID) or name (e.g., system.configuration)

propertyName
string
required

Property name

Body

application/json
required
boolean
display_name
string
enum
string[]

Response

Default Response

name
string
required

Property name

type
enum<string>
required

Property type

Available options:
string,
number,
integer,
boolean,
array,
secret,
totp,
file,
date,
datetime,
richtext,
richtext_large
display_name
string
required

Display name for UI

required
boolean
required

Whether this property is required

description
string

Property description

enum
(string | number | boolean)[]

Allowed values for this property

array
object

Array item configuration

file_rules
object

File validation rules